LibreOffice LibreOffice 25.2 SDK API Reference

Public Attributes | List of all members
DeploymentException Exception Reference

A DeploymentException reflects a deployment error. More...

`import"DeploymentException.idl";`

Inheritance diagram for DeploymentException:

## Public Attributes
any | Cause
| reflects the cause of the error. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

A DeploymentException reflects a deployment error.

Since
  OOo 2.0

## Member Data Documentation

## ◆ Cause

any Cause

reflects the cause of the error.

Commonly an exception.

The documentation for this exception was generated from the following file:

- com/sun/star/deployment/DeploymentException.idl